Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
CLASSICO CHICKPEAS 400G - Image 1
Click to enlarge
Home Uncategorized CLASSICO CHICKPEAS 400G
Placeholder
TAHANI WOMEN DEO SPRAY ORIENTAL DEO SPRAY RASASI 200ML .ރ 40.00
Back to products
Lacnor Juice 180ml (Strawberry)
Lacnor Juice 180ml (Strawberry) .ރ 10.00

CLASSICO CHICKPEAS 400G

.ރ 15.99

2 in stock

SKU: 09775 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

Placeholder

ALBAL SANDWICH BISCUITS 95g

.ރ 5.00
Add to cart

CHICKI CHUNK CHICKEN IN SUNFLOWER-OIL 160 g

.ރ 35.00
Add to cart

COAST CALCIUM MILK POWDER (SACHET) 800g RFC004

.ރ 190.00
Add to cart

COAST FULL CREAM MILK POWDER 1800 g RFC005

.ރ 410.00
Add to cart

COAST MILK POWDER(SACHET) 2250 g RFC009

.ރ 430.00
Add to cart

FOSTER CLARK COLOR 28 ml ORANGE

.ރ 25.00
Add to cart
Placeholder

GEM BISCUITS 4 Kg (MAHKOTA)

.ރ 0.12
Add to cart

HAYAT SPAGHETTI 500 g

.ރ 25.00
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account